Bug 1451091 - Bodhi's alembic.ini gets installed to /usr/share and isn't marked as a config file
Summary: Bodhi's alembic.ini gets installed to /usr/share and isn't marked as a config...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bodhi
Version: 27
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-15 18:44 UTC by Randy Barlow
Modified: 2017-10-19 19:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-10-19 19:35:07 UTC


Attachments (Terms of Use)

Description Randy Barlow 2017-05-15 18:44:46 UTC
Bodhi's alembic.ini file is getting installed to /usr/share/bodhi/alembic.ini instead of to /etc/bodhi/alembic.ini. Additionally, it isn't marked as a config file which means that local changes will be overwritten upon upgrading the RPM. Bodhi will soon have a BDR boolean setting that will need to be locally configured, so fixing this is high priority.

Comment 1 Fedora Update System 2017-06-05 17:42:20 UTC
bodhi-2.7.0-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-27d261bcc0

Comment 2 Fedora Update System 2017-06-05 17:45:38 UTC
python-fedora-0.9.0-3.el7 bodhi-2.7.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f222435d5

Comment 3 Fedora Update System 2017-06-06 11:54:52 UTC
bodhi-2.7.0-1.el7, python-fedora-0.9.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9f222435d5

Comment 4 Fedora Update System 2017-06-06 19:04:32 UTC
bodhi-2.7.0-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-27d261bcc0

Comment 5 Fedora Update System 2017-06-09 19:27:48 UTC
bodhi-2.7.0-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-06-21 08:18:07 UTC
bodhi-2.7.0-1.el7, python-fedora-0.9.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Jan Kurik 2017-08-15 06:38:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.


Note You need to log in before you can comment on or make changes to this bug.